Package org.kapott.hbci.sepa.jaxb.pain_001_001_11

# Class DatePeriod2

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_001_001_11.DatePeriod2

public class DatePeriod2 extends Object

Java class for DatePeriod2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DatePeriod2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="FrDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}ISODate"/>
             <element name="ToDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}ISODate"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected XMLGregorianCalendar`
`frDt`
`protected XMLGregorianCalendar`
`toDt`

## Constructor Summary

Constructors
Constructor
Description
`DatePeriod2()`

## Method Summary

Modifier and Type
Method
Description
`XMLGregorianCalendar`
`getFrDt()`
Gets the value of the frDt property.
`XMLGregorianCalendar`
`getToDt()`
Gets the value of the toDt property.
`void`
`setFrDt(XMLGregorianCalendar value)`
Sets the value of the frDt property.
`void`
`setToDt(XMLGregorianCalendar value)`
Sets the value of the toDt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### frDt

protected XMLGregorianCalendar frDt

### toDt

protected XMLGregorianCalendar toDt

## Constructor Details

### DatePeriod2

public DatePeriod2()

## Method Details

### getFrDt

public XMLGregorianCalendar getFrDt()
Gets the value of the frDt property.

Returns:
  possible object is `XMLGregorianCalendar`

### setFrDt

public void setFrDt(XMLGregorianCalendar value)
Sets the value of the frDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getToDt

public XMLGregorianCalendar getToDt()
Gets the value of the toDt property.

Returns:
  possible object is `XMLGregorianCalendar`

### setToDt

public void setToDt(XMLGregorianCalendar value)
Sets the value of the toDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`